package com.s_cradle.lifeapp;

import com.nttdocomo.ui.*;

/**
 * <p>Title: </p>
 *
 * <p>Description: </p>
 *
 * <p>Copyright: Copyright (c) 2005</p>
 *
 * <p>Company: Sophia Cradle, Inc.</p>
 *
 * @author YOSHIMURA Masaru
 * @version $Id$
 */

public class ChangeSizePanel extends LifeGamePanel implements ComponentListener{
  private TextBox widthTextBox;
  private TextBox heightTextBox;
/**
 * xCeLXg{bNXȂǂzuƁC{^1zu
 * R|[lgXi[ƂĎݒD
 */
  public ChangeSizePanel(LifeGameApplication appli, LifeGame game) {
    super(appli, game);

    add(new Label("Width  :"));
    widthTextBox = new TextBox(String.valueOf(game.getWidth()),20,1,TextBox.NUMBER);
    add(widthTextBox);
    add(new Label("Height :"));
    heightTextBox = new TextBox(String.valueOf(game.getHeight()),20,1,TextBox.NUMBER);
    add(heightTextBox);
    add(new Button("Set"));
    setComponentListener(this);
  }

  /**
   * {^ꂽꍇ̏
   */
  public void componentAction(Component source, int type, int param) {
    if(type == ComponentListener.BUTTON_PRESSED){
      //{^Set{^̂݁D
      try{
        int width = Integer.parseInt(widthTextBox.getText());
        int height = Integer.parseInt(heightTextBox.getText());
        if (2 < width && 2 < height) {
          game.setSize(width, height);
        }
      } catch(NumberFormatException ex){
        new Dialog(Dialog.DIALOG_ERROR,"Number format is invalid.").show();
      }
      appli.changeState(LifeGameApplication.STATE_TITLE);
    }
  }
}
