package com.s_cradle.lifeapp;

import java.io.*;
import javax.microedition.io.Connector;
import com.nttdocomo.ui.*;

/**
 * <p>Title: </p>
 *
 * <p>Description: </p>
 *
 * <p>Copyright: Copyright (c) 2005</p>
 *
 * <p>Company: Sophia Cradle, Inc.</p>
 *
 * @author YOSHIMURA Masaru
 * @version $Id$
 */
public class MemoryPanel extends LifeGamePanel implements SoftKeyListener{
  protected LifeGameData[] data;
  protected int len;

  protected MemoryPanel(LifeGameApplication appli, LifeGame game) {
    super(appli, game);
  }

  protected void load(){
    DataInputStream dis = null;

    try {
      //Xg[J
      dis = Connector.openDataInputStream("scratchpad:///0");
      
      //f[^̓ǂݍ
      len = dis.readInt();
      data = new LifeGameData[len + 1];
      for (int i = 0; i < len; i++) {
        data[i] = new LifeGameData(dis);
      }
      //Xg[
      dis.close();
    }
    catch (IOException ex) {
      //f[^ǂݍݎs͉ǂݍ܂ȂƂɂD
      ex.printStackTrace();
      if (data == null) {
        data = new LifeGameData[1];
      }
      if (dis != null) {
        try {
          dis.close();
        }
        catch (IOException ex2) {
          ex2.printStackTrace();
        }
      }
    }
  }

  protected void save(){
    DataOutputStream dos = null;
    try{
      //Xg[J
      dos = Connector.openDataOutputStream("scratchpad:///0");
      //f[^̏
      dos.writeInt(len);
      for(int i=0;i<len;i++){
        data[i].write(dos);
      }
      //Xg[
      dos.close();
    } catch(IOException ex){
      //ݎs̏
      if(dos != null){
        try{
          dos.close();
        } catch(IOException ex2){
          ex2.printStackTrace();
        }
        len--;
        Dialog dialog = new Dialog(Dialog.DIALOG_ERROR,"error occuerred while saving.");
        dialog.show();
        try{
          dos = Connector.openDataOutputStream("scratchpad:///0");
          dos.writeInt(len);
          for(int i=0;i<len;i++){
            data[i].write(dos);
          }
          dos.close();
        } catch(IOException ex2){
          ex2.printStackTrace();
          if(dos != null){
            try{
              dos.close();
            } catch(IOException ex3){
              //NOP
            }
          }
        }
      }
    }
  }
}
